<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
if($re0[izo]!=1){echo"<img src='../../izo/mag.png'>";}
echo"<b>Магазин</b><br/>";
$a=round((time()-$re1[datareg])/3600);
$mlim=round((time()-$re0[mlim])/3600);
if($mlim>23){mysql_query("UPDATE users SET mlim='0',limmax='0' WHERE login='$re0[login]'");}
if($a<24){
$tim=time()-$re1['datareg'];
$dy=(3600*24)-$tim;
$sec1=$dy;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;echo"До открытия (<b>$hou1</b> ч.<b>$min1</b> м.<b>$sec1</b> с.)<br/>";}else{
if($a<40 and $a>23){$b=150;}
if($a<60 and $a>39){$b=200;}
if($a<80 and $a>59){$b=250;}
if($a<100 and $a>79){$b=300;}
if($a<200 and $a>99){$b=500;}
if($a>199){$b=750;}
if(empty($_GET[m])){
echo"<a href='magaz.php?der=$key&m=1'>Состояние счёта</a><br/>";
echo"<a href='magaz.php?der=$key&m=3'>Торговая витрина</a><br/>";
echo"<a href='magaz.php?der=$key&m=4'>Помощь</a><br/>";
}
if($_GET[m]==1){
$c=$b-$re0[limmax];
$tim=time()-$re0['mlim'];
$dy=(3600*24)-$tim;
$sec1=$dy;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;
echo"На счёте (<b>$re0[RB]</b>) RB<br/>";
echo"Cуточный лимит на покупки (<b>$b</b>) RB<br/>";
echo"Остаток лимита (<b>$c</b>) RB<br/>";
if($hou1<0){}else{
echo"До обнуления лимита (<b>$hou1</b> ч.<b>$min1</b> м.<b>$sec1</b> с.)<br/>";}
echo"<a href='magaz.php?der=$key'>В магазин</a><br/>";
}

if($_GET[m]==3){
if(empty($_GET[k])){
echo"<a href='magaz.php?m=3&k=1&der=$key'>Ресурсы</a><br/>";
echo"<a href='magaz.php?m=3&k=2&der=$key'>Открытия</a><br/>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
if($_GET[k]==1){
if(empty($_POST[eq])){
echo"За 1 RB <br/>
Можете купить:<br/>
Денег(2000)<br/>
Железа(130)<br/>
Камня(250)<br/>
Дерева(2000)<br/>
Нефти(70)<br/>
Рабочих(50)<br/>
Учёных(20)<br/>
Горы(35)<br/>
Лес(200)<br/>";
echo'<FORM ACTION="magaz.php?der='.$key.'&m=3&k=1" METHOD="POST">';
echo 'Выберете ресурс:<br/>
<select name="col">
<option value="0" selected="selected">деньги</option>
<option value="1" >железо</option>
<option value="2" >камень</option>
<option value="3" >дерево</option>
<option value="4" >нефть</option>
<option value="5" >рабочие</option>
<option value="6" >учёные</option>
<option value="7" >горы</option>
<option value="8" >лес</option>
</select><br/>';?>
на сколько RB покупаем?<br/> <INPUT TYPE="text" NAME="eq" VALUE="" autofocus/><br/>
<INPUT TYPE='submit'VALUE='Купить'>
</FORM><br/><?
}else{
/////////////////////////////////////////////////
$me1=zif($_POST[col]);$me2=zif($_POST[eq]);
if($me2<0 or $me2>$re0['RB'] or empty($me2)){echo"У вас нет столько RB!<br/>";}else{
switch($me1){
case 0:
$res='dengi';$kol=2000;$vt='денег';
break;
case 1:
$res='metal';$kol=130;$vt='железа';
break;
case 2:
$res='kamen';$kol=250;$vt='камня';
break;
case 3:
$res='derevo';$kol=2000;$vt='дерева';
break;
case 4:
$res='neft';$kol=70;$vt='нефти';
break;
case 5:
$res='rab';$kol=50;$vt='рабочих';
break;
case 6:
$res='bot';$kol=20;$vt='учёных';
break;
case 7:
$res='gora';$kol=35;$vt='гор';
break;
case 8:
$res='lesa';$kol=200;$vt='леса';
break;
}
$kolvo=$me2*$kol;$eq=$re0['RB']-$me2;

$lim=$re0[limmax]+$me2;$lim2=$lim-$b;
if($mlim<24 and $lim>$b or $me2>$b){echo"Превышен лимит на $lim2 RB<br/>";}else{if($re0[mlim]==0){$ml=time();
$mm=$me2;}else{$ml=$re0[mlim];$mm=$re0[limmax]+$me2;}
mysql_query("UPDATE users SET RB='$eq',mlim='$ml',limmax='$mm' WHERE login='$re0[login]'");
mysql_query("UPDATE gos2 SET $res=$res+$kolvo WHERE strana='$re1[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','Вы купили $kolvo $vt за $me2 RB!')");
echo"Вы купили $kolvo $vt за $me2 RB!<br/>";
}
}
////////////////////////////////////////////////////
}
}
if($_GET[k]==2){
if(empty($_POST[col])){
echo"Стоимость научного открытия <b>25</b> RB<br/>";
echo'<FORM ACTION="magaz.php?der='.$key.'&m=3&k=2" METHOD="POST">';
echo 'Выберете открытие:<br/>
<select name="col">
<option value="6" selected="selected">открытие-переплавка железа</option>
<option value="1" >открытие-распиловка древесины</option>
<option value="2" >открытие-удобрение зерновых</option>
<option value="3" >открытие-обработка камней</option>
<option value="4" >открытие-синтез нефти</option>
<option value="5" >открытие-берсерк</option>
</select><br/>';?>
<INPUT TYPE='submit'VALUE='Купить'>
</FORM><br/><?
}else{
$me1=zif($_POST[col]);
switch($me1){
case 6:
$ot1='otk1';$nam='открытие-переплавка железа';
break;
case 1:
$ot1='otk2';$nam='открытие-распиловка древесины';
break;
case 2:
$ot1='otk3';$nam='открытие-удобрение зерновых';
break;
case 3:
$ot1='otk4';$nam='открытие-обработка камней';
break;
case 4:
$ot1='otk5';$nam='открытие-синтез нефти';
break;
case 5:
$ot1='otk6';$nam='открытие-берсерк';
break;
}
if($re2[$ot1]>0){
echo"У вас уже есть такое открытие!<br/>";
}else{
///////////////////////////
if($re0['RB']<25){echo"У вас нет столько RB!<br/>";}else{
$lim=$re0[limmax]+25;$lim2=$lim-$b;$eq=$re0['RB']-25;
if($mlim<24 and $lim>$b or 25>$b){echo"Превышен лимит на $lim2 RB<br/>";}else{if($re0[mlim]==0){$ml=time();
$mm=25;}else{$ml=$re0[mlim];$mm=$re0[limmax]+25;}
mysql_query("UPDATE users SET RB='$eq',mlim='$ml',limmax='$mm' WHERE login='$re0[login]'");
mysql_query("UPDATE gos2 SET $ot1='1' WHERE strana='$re1[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','Вы купили $nam за 25 RB!')");
echo"Вы купили $nam за 25 RB!<br/>";
}
}
///////////////////////////
}
}}
if($_GET[k]==3){
echo"В разработке!<br/>";
}
if($_GET[k]==4){
echo"В разработке!<br/>";
}
if($_GET[k]==5){
echo"В разработке!<br/>";
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo"<a href='magaz.php?der=$key'>В магазин</a><br/>";
}
if($_GET[m]==4){
echo"В разработке!<br/>";
echo"<a href='magaz.php?der=$key'>В магазин</a><br/>";
}
}
echo"<a href=../game.php?der=$key>В страну</a>";
require'../sys/foot.php';
?>